<p>This is the front page of the sysadmins' interface to University
Information Services' Hosted Server Service.  From here, sysadmins of equipment
that we host can check on their power consumption, turn them on and off,
and get access to their consoles.</p>

<div class="menu-wrapper">
  <dl class="menu">
    <dt>Management</dt>
% if (%site) {
%     for my $code (sort keys %site) {
    <dd><a href="https://<% $code %>.colo.csx.cam.ac.uk/self.html">
      Your equipment (<% $site{$code} %>)</a></dd>
    <dd><a href="https://<% $code %>.colo.csx.cam.ac.uk/racks.html">
      All racks (<% $site{$code} %>)</a></dd>
%     }
% } else {
    <dd><a href="self.html">Your equipment</a></dd>
    <dd><a href="racks.html">All racks</a></dd>
% }
    <dt>Information</dt>
    <dd><a href="doc.html">Documentation</a></dd>
    <dd><a href="http://news.uis.cam.ac.uk/articles/service/colo">
        News</a></dd>
    <dd><a href="https://lists.cam.ac.uk/mailman/listinfo/cs-colo-announce">
        cs-colo-announce mailing list</a></dd>
  </dl>
</div>
<%method secondary>
<& news.mason,
   rss_uri => "http://news.uis.cam.ac.uk/xml/rss20/service/colo/feed.xml" &>
</%method>
<% # Curiously, none of the standard classes works well for a page with
   # secondary content but no left-hand navigation.  On the other hand,
   # using no class at all works fine.  So we effectively do that. %>
<%method bodyclass>none</%method>
<%once>
our %site;

if ($r->dir_config('ColoSites')) {
    %site = $r->dir_config->get('ColoSites');
}
</%once>
